org.modeshape.jcr.query.plan

## Enum PlanNode.Property

- java.lang.Object
- - java.lang.Enum<PlanNode.Property>
  - - org.modeshape.jcr.query.plan.PlanNode.Property

- All Implemented Interfaces:
    Serializable, Comparable<PlanNode.Property>
  Enclosing class:
    PlanNode

      public static enum PlanNode.Property
      extends Enum<PlanNode.Property>

  An enumeration dictating the type of plan tree nodes.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACCESS_NO_RESULTS` For ACESS nodes, this signifies that the node will never return results.
    `GROUP_COLUMNS` For GROUP nodes, the ordered collection of columns used to group the result tuples.
    `IS_DEPENDENT` For SELECT and JOIN nodes, a flag specifying whether the criteria is dependent.
    `JOIN_ALGORITHM` For JOIN nodes, the type of join algorithm.
    `JOIN_CONDITION` For JOIN nodes, the join criteria (or join condition).
    `JOIN_CONSTRAINTS` For JOIN nodes, additional criteria that have been pushed down to the join.
    `JOIN_TYPE` For JOIN nodes, the type of join operation.
    `LIMIT_COUNT` For LIMIT nodes, the maximum number of rows to return.
    `LIMIT_OFFSET` For LIMIT nodes, the offset value.
    `PROJECT_COLUMN_TYPES` For PROJECT nodes, the ordered collection of the type names for the columns being projected.
    `PROJECT_COLUMNS` For PROJECT nodes, the ordered collection of columns being projected.
    `SELECT_CRITERIA` For SELECT nodes, the criteria object that is to be applied.
    `SET_OPERATION` For SET_OPERATION nodes, the type of set operation to be performed.
    `SET_USE_ALL` For SET_OPERATION nodes, whether the 'all' clause is used.
    `SORT_ORDER_BY` For SET_OPERATION nodes, the list of orderings for the results.
    `SOURCE_ALIAS` For SOURCE nodes, the alias name of the selector.
    `SOURCE_COLUMNS` For SOURCE nodes, the collection of columns that are available.
    `SOURCE_NAME` For SOURCE nodes, the literal name of the selector.
    `VARIABLE_NAME` For dependenty queries, defines the variable where the results will be placed.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PlanNode.Property` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static PlanNode.Property[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IS_DEPENDENT

          public static final PlanNode.Property IS_DEPENDENT

      For SELECT and JOIN nodes, a flag specifying whether the criteria is dependent. Value is a `Boolean` object.

    - #### SELECT_CRITERIA

          public static final PlanNode.Property SELECT_CRITERIA

      For SELECT nodes, the criteria object that is to be applied. Value is a `Constraint` object.

    - #### SET_OPERATION

          public static final PlanNode.Property SET_OPERATION

      For SET_OPERATION nodes, the type of set operation to be performed. Value is a `SetQuery.Operation` object.

    - #### SET_USE_ALL

          public static final PlanNode.Property SET_USE_ALL

      For SET_OPERATION nodes, whether the 'all' clause is used. Value is a `Boolean` object.

    - #### JOIN_TYPE

          public static final PlanNode.Property JOIN_TYPE

      For JOIN nodes, the type of join operation. Value is a `JoinType` object.

    - #### JOIN_ALGORITHM

          public static final PlanNode.Property JOIN_ALGORITHM

      For JOIN nodes, the type of join algorithm. Value is a `JoinAlgorithm` object.

    - #### JOIN_CONDITION

          public static final PlanNode.Property JOIN_CONDITION

      For JOIN nodes, the join criteria (or join condition). Value is a `JoinCondition` object.

    - #### JOIN_CONSTRAINTS

          public static final PlanNode.Property JOIN_CONSTRAINTS

      For JOIN nodes, additional criteria that have been pushed down to the join. Value is a List of `Constraint` object.

    - #### SOURCE_NAME

          public static final PlanNode.Property SOURCE_NAME

      For SOURCE nodes, the literal name of the selector. Value is a `SelectorName` object.

    - #### SOURCE_ALIAS

          public static final PlanNode.Property SOURCE_ALIAS

      For SOURCE nodes, the alias name of the selector. Value is a `SelectorName` object.

    - #### SOURCE_COLUMNS

          public static final PlanNode.Property SOURCE_COLUMNS

      For SOURCE nodes, the collection of columns that are available. Value is a Collection of `Schemata.Column` objects.

    - #### PROJECT_COLUMNS

          public static final PlanNode.Property PROJECT_COLUMNS

      For PROJECT nodes, the ordered collection of columns being projected. Value is a Collection of `Column` objects.

    - #### PROJECT_COLUMN_TYPES

          public static final PlanNode.Property PROJECT_COLUMN_TYPES

      For PROJECT nodes, the ordered collection of the type names for the columns being projected. Value is a Collection of `String` objects.

    - #### GROUP_COLUMNS

          public static final PlanNode.Property GROUP_COLUMNS

      For GROUP nodes, the ordered collection of columns used to group the result tuples. Value is a Collection of `Column` objects.

    - #### SORT_ORDER_BY

          public static final PlanNode.Property SORT_ORDER_BY

      For SET_OPERATION nodes, the list of orderings for the results. Value is either a Collection of `Ordering` objects or a collection of `SelectorName` objects (if the sorting is being done as an input to a merge-join).

    - #### LIMIT_COUNT

          public static final PlanNode.Property LIMIT_COUNT

      For LIMIT nodes, the maximum number of rows to return. Value is an `Integer` object.

    - #### LIMIT_OFFSET

          public static final PlanNode.Property LIMIT_OFFSET

      For LIMIT nodes, the offset value. Value is an `Integer` object.

    - #### ACCESS_NO_RESULTS

          public static final PlanNode.Property ACCESS_NO_RESULTS

      For ACESS nodes, this signifies that the node will never return results. Value is a `Boolean` object, though the mere presence of this property signifies that it is no longer needed.

    - #### VARIABLE_NAME

          public static final PlanNode.Property VARIABLE_NAME

      For dependenty queries, defines the variable where the results will be placed.

  - ### Method Detail

    - #### values

          public static PlanNode.Property[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PlanNode.Property c : PlanNode.Property.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PlanNode.Property valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.